import { FORMAT_DEFAULT } from '../../constant';
export default (function (o, c, d) {
  var proto = c.prototype;
  var oldFormat = proto.format;
  var englishFormats = {
    LTS: 'h:mm:ss A',
    LT: 'h:mm A',
    L: 'MM/DD/YYYY',
    LL: 'MMMM D, YYYY',
    LLL: 'MMMM D, YYYY h:mm A',
    LLLL: 'dddd, MMMM D, YYYY h:mm A',
    l: 'M/D/YYYY',
    ll: 'MMM D, YYYY',
    lll: 'MMM D, YYYY h:mm A',
    llll: 'ddd, MMM D, YYYY h:mm A'
  };
  d.en.formats = englishFormats;

  proto.format = function (formatStr) {
    var locale = this.$locale();
    var formats = locale.formats || {};
    var str = formatStr || FORMAT_DEFAULT;
    var result = str.replace(/(\[[^\]]+])|(LTS?|l{1,4}|L{1,4})/g, function (_, a, b) {
      return a || formats[b] || englishFormats[b];
    });
    return oldFormat.call(this, result);
  };
});